#################################
# Includes globaux et spécifiques
#################################
#INCLUDES=-I../include

####################################
# Options de compilation spécifiques
####################################
#CCOPT= -DPUR_LINUX

#######################
# règles de compilation
#######################
CFLAGS = -Wall -pedantic -Wshadow -ggdb -O2 -Wimplicit -Wreturn-type -Wuninitialized \
	-Wparentheses -Wpointer-arith 

LDFLAGS = -lpthread

SRC=$(wildcard *.c)
INCLUDES=$(wildcard *.h)
#######################
# Tâches
#######################
APPNAME=testapp

OBJS = $(SRC:.c=.o)

all: $(APPNAME)

$(APPNAME): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

%.o : %.c $(INCLUDES)
	$(CC) $(CFLAGS) $(CCOPT) -o $@ -c $<

clean :
	-rm -f *.o *.a $(APPNAME)

.PHONY: all clean $(APPNAME)
